org.gradle.plugins.ide.idea.model

## Class ModuleDependency

- java.lang.Object
- - groovy.lang.GroovyObjectSupport
  - - org.gradle.plugins.ide.idea.model.ModuleDependency

- All Implemented Interfaces:
    GroovyObject, Dependency

      public class ModuleDependency
      extends GroovyObjectSupport
      implements Dependency

  Represents an orderEntry of type module in the iml XML.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModuleDependency(Object name, Object scope)` Deprecated.
    `ModuleDependency(String name, String scope)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addToNode(Node parentNode)`
    `boolean` | `equals(Object o)`
    `boolean` | `getExported()`
    `String` | `getGradlePath()`
    `String` | `getName()` The name of the module the module depends on.
    `String` | `getScope()` The scope for this dependency.
    `int` | `hashCode()`
    `boolean` | `isExported()`
    `void` | `setExported(boolean exported)`
    `void` | `setGradlePath(String gradlePath)`
    `void` | `setName(String name)`
    `void` | `setScope(String scope)`
    `String` | `toString()`

    - ### Methods inherited from class groovy.lang.GroovyObjectSupport

      `getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ModuleDependency

          public ModuleDependency(String name,
                          String scope)

    - #### ModuleDependency

          @Deprecated
          public ModuleDependency(Object name,
                                     Object scope)

      Deprecated.

  - ### Method Detail

    - #### getName

          public String getName()

      The name of the module the module depends on. Must not be null.

    - #### setName

          public void setName(String name)

    - #### getScope

          public String getScope()

      The scope for this dependency. If null the scope attribute is not added.

    - #### setScope

          public void setScope(String scope)

    - #### getGradlePath

          @Incubating
          public String getGradlePath()

    - #### setGradlePath

          @Incubating
          public void setGradlePath(String gradlePath)

    - #### isExported

          public boolean isExported()

    - #### getExported

          public boolean getExported()

    - #### setExported

          public void setExported(boolean exported)

    - #### addToNode

          public void addToNode(Node parentNode)

      Specified by:
        `addToNode` in interface `Dependency`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`